import CoUxModal from '../../../../components/10x/ux/ux-modal.js'
import EuiBasePage from '../eui-base.po.js'

export default class ModalPage extends EuiBasePage {

  constructor() {
      super();
  }
  modalByIndex(index) {
    let modal =  new CoUxModal(this.mainContent);
    return modal.byIndex(index);
  }
  modalFromSectionById(id) {
    return new CoUxModal(this.sectionById(id));
  }
  modalFromSectionWithIdByIndex(id, index) {
    let modal = new CoUxModal(this.sectionById(id));
    return modal.byIndex(index);
  }
}


